# configuration for old make (or GNU make).
# select an architecture from makearch/*
# Uncomment one of the following lines:
ARCH=linux.i386
#ARCH=osf.alpha
#ARCH=sgi.mips3
#ARCH=sol.sun4
#ARCH=hp.pa
#ARCH=sgi.mips2
#ARCH=sol.i386

# specify installation targets
# The actual builds occur 3 levels down from the root directory,
# so the default value of INSTALLROOT will create the bin and lib
# directories under the root.
#INSTALLROOT=../../..
INSTALLROOT=/usr/local

# specify tcl/tk info
# suffix on libtcl
TCLVERSION=8.1

# tcl root directory
TCLDIR=/usr/local/lib/tcl8.1

# tk root directory
TKDIR=/usr/local/lib/tk8.1

# location for tcl packages
# This is where the various tcl-based packages are installed.
# tcl usually assumes these are in $TCLDIR/lib, but this is
# usually not writable by mortals. To get around this, you
# can invoke tcl with a flag telling it where to look; see
# the note on tcldot in the README file.
TCL_PKGDIR=$(INSTALLROOT)/lib

##############################################
# The following shouldn't need to be changed.
##############################################

BINDIR=$(INSTALLROOT)/bin
LIBDIR=$(INSTALLROOT)/lib
INCDIR=$(INSTALLROOT)/include
MANDIR=$(INSTALLROOT)/man/man1
LIBMANDIR=$(INSTALLROOT)/man/man3
PKGMANDIR=$(INSTALLROOT)/man/mann
DOCDIR=$(INSTALLROOT)/doc                # postscipt and html docs

# location of libtcl.a
TCL_LIBDIR=$(TCLDIR)/lib
# location of tcl.h
TCL_INCDIR=/usr/local/include/tcl8.1

# location of libtk.a
TK_LIBDIR=$(TKDIR)/lib
# location of tk.h
TK_INCDIR=$(TKDIR)/include

# version number on shared libraries
VERSION=1.4
# build date
DATE=6-14-99

.c.o:
	$(CC) -c $(CCFLAGS) $(DEFINES) $(INCS) $*.c -o $@

